## kdevelop-pg-qt 0.9.82

=== examples/php/CMakeLists.txt ===
project(php_lexer)  

set(parser_STAT_SRCS
  phptest.cpp
)

SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
include(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules/FindKDevelop-PG-Qt.cmake)

kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT GENERATE_LEXER
    "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
)

add_definitions(-fexceptions)

add_executable( phptest ${parser_SRCS} ${parser_STAT_SRCS} )
target_link_libraries( phptest
${QT_QTCORE_LIBRARY}
)
