## kdevelop-pg-qt 0.9.5

=== debian/changelog ===
kdevelop-pg-qt (0.9.5-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 07 Apr 2011 14:05:12 +0200

kdevelop-pg-qt (0.9.0-0ubuntu1) natty; urgency=low

  * Initial Package PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Oct 2010 17:49:11 +0100
