=== debian/control ===
Source: kdevelop-pg-qt
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev
Standards-Version: 3.9.1
Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction

Package: kdevelop-pg-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parser generator for generating readable source-code
 KDevelop-PG-Qt is a parser generator written in readable source-code
 and generating readable source-code. Its syntax was inspirated by
 AntLR. It implements the visitor-pattern and uses the Qt
 library. That is why it is ideal to be used in Qt-/KDE-based
 applications like KDevelop.
