## kdevelop-pg-qt 0.9.82

=== debian/changelog ===
kdevelop-pg-qt (0.9.82-0ubuntu1) precise; urgency=low

  * New upstream release
    - Drop fix_portability_issues.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 17 Jan 2012 22:18:56 +0530

kdevelop-pg-qt (0.9.5-2) unstable; urgency=low

  * Fix a couple of portability issues (armel, all big endian arches). This
    should enable kdevelop-php to build on them (fix_portability_issues.diff).

 -- Modestas Vainius <modax@debian.org>  Mon, 06 Jun 2011 02:42:41 +0300

kdevelop-pg-qt (0.9.5-1) unstable; urgency=low

  * Initial release. (Closes: #578240)

 -- Fathi Boudra <fabo@debian.org>  Sat, 04 Jun 2011 12:14:52 +0300
