=== debian/control ===
Source: kdevelop-pg-qt
Section: devel
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), bison, flex,
 libqt4-dev (>= 4.5.3)
Standards-Version: 3.9.2
Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-pg-qt.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-pg-qt.git

Package: kdevelop-pg-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LL(1) parser generator based on Qt
 KDevelop-PG-Qt is a parser generator written in readable source-code and
 generating readable source-code. Its syntax was inspirated by AntLR.
 It implements the visitor-pattern and uses the Qt library.
 .
 This package contains the kdev-pg-qt binary, the headers files generated by
 the KDevelop parser generator and the cmake file to find the parser.
