=== examples/php/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,12 @@
 )
 
 SET(KDEVPGQT_EXECUTABLE ${CMAKE_CURRENT_BINARY_DIR}/../../kdev-pg/kdev-pg-qt)
-include(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules/FindKDevelop-PG-Qt.cmake)
+include(${CMAKE_CURRENT_SOURCE_DIR}/../../cmake/modules/KDevelop-PG-QtConfig.cmake)
 
 kdevpgqt_generate(parser_SRCS php NAMESPACE Php DEBUG_VISITOR TOKEN_TEXT GENERATE_LEXER
     "${CMAKE_CURRENT_SOURCE_DIR}/php.g"
 )
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 add_definitions(-fexceptions)
