=== debian/changelog ===
kdevelop-pg-qt (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * New upstream patch: upstream_fix-some-warnings (Closes: #733390)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 26 Apr 2014 15:06:27 +0200

kdevelop-pg-qt (1.0.0-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 10:33:40 +0200

kdevelop-pg-qt (1.0.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Remove patch fix_portability_issues.diff (applied upstream).

  [ Pino Toscano ]
  * Add a watch file.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper build dependency and compat to 9.
  * Fix the installation of the cmake config files if there is no KDE4 stuff
    available (patch fix_cmake_installation.diff).

 -- Pino Toscano <pino@debian.org>  Sun, 25 Mar 2012 16:20:33 +0200
