=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: kdevelop-pg-qt
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 7.4.15), cmake (>= 2.8.0), bison, flex,
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.0), bison, flex,
  libqt4-dev (>= 4.5.3)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-pg-qt.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-pg-qt.git
