=== debian/changelog ===
kdevelop-pg-qt (2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 22:42:10 +0200

kdevelop-pg-qt (2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update the patches:
    - upstream_fix-some-warnings: drop, backported from upstream
    - fix_cmake_installation.diff: drop, fixed upstream
  * Update the build dependencies following the port to Qt5:
    - remove libqt4-dev
    - add extra-cmake-modules, and qtbase5-dev
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.
  * Enable the test suite, which seems to be working fine.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2016 19:14:13 +0200
