=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.0), bison, flex,
- libqt4-dev (>= 4.5.3)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), bison, flex,
+ extra-cmake-modules (>= 1.1.0),
+ qtbase5-dev (>= 5.2),
+Standards-Version: 3.9.8
 Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdevelop-pg-qt.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdevelop-pg-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-pg-qt.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-pg-qt.git/
 
 Package: kdevelop-pg-qt
 Architecture: any
