=== debian/watch ===
version=4

http://download.kde.org/stable/kdevelop-pg-qt/([\d.]+)/src/kdevelop-pg-qt-([\d.]+).tar.xz
