## kdevelop-pg-qt 2.1.0

=== include/CMakeLists.txt ===
install( FILES
    kdev-pg-allocator.h
    kdev-pg-location-table.h
    kdev-pg-memory-pool.h
    kdev-pg-token-stream.h
    kdev-pg-list.h
    kdev-pg-char-sets.h
    DESTINATION include/kdevelop-pg-qt )
