=== kdev-pg/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-PROJECT(kdevpg)
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
 REMOVE_DEFINITIONS(-DQT_NO_STL)
 ADD_DEFINITIONS(-DQT_STL)
@@ -42,8 +40,6 @@
 
 
 # Custom support for flex/bison
-SET(parser_srcs)
-
 IF(BISON_EXECUTABLE)
     # Add command to run the parser.
     ADD_CUSTOM_COMMAND(
@@ -51,11 +47,11 @@
                 "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh"
         DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.yy"
         COMMAND ${BISON_EXECUTABLE}
-        ARGS    -o"${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc"
+        ARGS    -o "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc"
                 -d "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.yy"
         )
 
-    SET(parser_srcs ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc)
+    SET(parser_src ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc)
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh
@@ -65,7 +61,7 @@
 ELSE(BISON_EXECUTABLE)
     MESSAGE("'bison' was not found!")
     MESSAGE("Assuming existence of the generated parser files kdev-pg-parser.[hh,cc]")
-    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.cc)
+    SET(parser_src ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-parser.cc)
     SET(OPTIONAL_PARSER_HEADER_DEPENDENCY "")
 ENDIF(BISON_EXECUTABLE)
 
@@ -76,11 +72,11 @@
         DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.ll"
                  ${OPTIONAL_PARSER_HEADER_DEPENDENCY}
         COMMAND ${FLEX_EXECUTABLE}
-        ARGS    --nounistd -o"${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc"
+        ARGS    --yymore --nounistd -o "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc"
                 "${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.ll"
         )
 
-    SET(parser_srcs ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc ${parser_srcs})
+    SET(lexer_src ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc)
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc
         GENERATED
@@ -88,16 +84,18 @@
 ELSE(FLEX_EXECUTABLE)
     MESSAGE("'flex' was not found!")
     MESSAGE("Assuming existence of the generated lexer file kdev-pg-lexer.cc")
-    SET(parser_srcs ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.cc ${parser_srcs})
+    SET(lexer_src ${CMAKE_CURRENT_SOURCE_DIR}/kdev-pg-lexer.cc)
 ENDIF(FLEX_EXECUTABLE)
+set_source_files_properties(${lexer_src} PROPERTIES COMPILE_FLAGS "-DYY_NO_INPUT -DYY_NO_UNPUT")
 
 
 # tell CMake to generate the executable
-ADD_EXECUTABLE(kdev-pg-qt ${parser_srcs} ${kdevpg_srcs} ${kdevpg_rcc_srcs})
+ADD_EXECUTABLE(kdev-pg-qt ${parser_src} ${lexer_src} ${kdevpg_srcs} ${kdevpg_rcc_srcs})
+ecm_mark_nongui_executable(kdev-pg-qt)
 TARGET_LINK_LIBRARIES( kdev-pg-qt Qt5::Core)
 INSTALL(TARGETS kdev-pg-qt DESTINATION bin )
 
 # in order to generate only the parser, call "make parser"
 ADD_CUSTOM_TARGET(parser echo "Generating the parser"
-    DEPENDS ${parser_srcs}
+    DEPENDS ${parser_src} ${lexer_src}
     )
