=== examples/fact/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,4 @@
-
-PROJECT(fact_parser)
-
 INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
-
 
 find_package(KDevelop-PG-Qt)
