=== debian/changelog ===
kdevelop-pg-qt (2.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879334)

  [ Pino Toscano ]
  * New upstream release.
  * Simplify the watch file, switching it to https.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Switch Homepage to https.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:07:04 +0100
