=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), bison, flex,
  extra-cmake-modules (>= 1.1.0),
  qtbase5-dev (>= 5.2),
-Standards-Version: 3.9.8
-Homepage: http://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
+Standards-Version: 4.1.1
+Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-pg-qt.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-pg-qt.git/
