## kdevelop-pg-qt 2.1.0+qtbuild

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
+cmake_minimum_required(VERSION 2.8.12)
+
 # KDEVELOP_PG_QT version
 set(KDEVELOP_PG_QT_VERSION_MAJOR 2)
-set(KDEVELOP_PG_QT_VERSION_MINOR 0)
+set(KDEVELOP_PG_QT_VERSION_MINOR 1)
 set(KDEVELOP_PG_QT_VERSION_PATCH 0)
 set(KDEVELOP_PG_QT_VERSION "${KDEVELOP_PG_QT_VERSION_MAJOR}.${KDEVELOP_PG_QT_VERSION_MINOR}.${KDEVELOP_PG_QT_VERSION_PATCH}")
 
-cmake_minimum_required(VERSION 2.8.12)
 project(kdevelop-pg-qt)
 
 enable_testing()
@@ -12,13 +13,14 @@
 find_package(ECM 1.1.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMAddTests)
+include(ECMMarkNonGuiExecutable)
 include(ECMPackageConfigHelpers)
 include(ECMSetupVersion)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDECompilerSettings)
 include(FeatureSummary)
 include(WriteBasicConfigVersionFile)
 
@@ -60,7 +62,7 @@
 add_definitions(-DQT_DEPRECATED_WARNINGS -DQT_DISABLE_DEPRECATED_BEFORE=0x050400)
 
 # Silence a few warnings
-if (CMAKE_COMPILER_IS_GNUCXX)
+if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-field-initializers -Wno-unused-local-typedefs")
 endif()
