=== debian/changelog ===
kdevelop-pg-qt (2.1.0+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 26 Jan 2021 13:52:06 +0800
