## kdevelop-pg-qt 2.2.0

=== debian/changelog ===
kdevelop-pg-qt (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Update build dependencies according to the upstream build system:
    - bump cmake to >= 3.0
    - bump extra-cmake-modules to >= 5.14.0
    - bump qtbase5-dev to >= 5.5.0
  * Bump Standards-Version to 4.4.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 09 Jul 2019 06:00:52 +0200
