=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.12), bison, flex,
- extra-cmake-modules (>= 1.1.0),
- qtbase5-dev (>= 5.2),
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11~), cmake (>= 3.0), bison, flex,
+ extra-cmake-modules (>= 5.14.0),
+ qtbase5-dev (>= 5.5.0),
+Standards-Version: 4.4.0
 Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-std/kdevelop-pg-qt.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-std/kdevelop-pg-qt.git/
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt
 
 Package: kdevelop-pg-qt
 Architecture: any
