=== examples/CMakeLists.txt ===
ADD_SUBDIRECTORY(cc)
ADD_SUBDIRECTORY(cool)
#ADD_SUBDIRECTORY(fact)
ADD_SUBDIRECTORY(foolisp)
add_subdirectory(php)
