=== kdev-pg/CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,9 @@
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.cc
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh
-        GENERATED
+        PROPERTIES
+            GENERATED TRUE
+            SKIP_AUTOMOC ON
         )
     SET(OPTIONAL_PARSER_HEADER_DEPENDENCY "${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-parser.hh")
 ELSE(BISON_EXECUTABLE)
@@ -79,7 +81,9 @@
     SET(lexer_src ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc)
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_BINARY_DIR}/kdev-pg-lexer.cc
-        GENERATED
+        PROPERTIES
+            GENERATED TRUE
+            SKIP_AUTOMOC ON
         )
 ELSE(FLEX_EXECUTABLE)
     MESSAGE("'flex' was not found!")
