=== debian/changelog ===
kdevelop-pg-qt (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 846f186291ff26ccf320c0c0e85eccf15782ea68 to help
    building in a reproducible way; patch
    upstream_build-generate-flex-bison-outputs-with-relative-file.patch.
  * Do not ship TODO, as it is not useful for users.
  * CI: disable the blhc job.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.6.0, no changes required.
  * Set Rules-Requires-Root: no.
  * Rename debian/docs to debian/kdevelop-pg-qt.docs, to make it clear to which
    package it refers.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Sep 2021 11:41:29 +0200

kdevelop-pg-qt (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Feb 2020 19:14:13 +0100
