=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>,
-Build-Depends: debhelper (>= 11~), cmake (>= 3.0), bison, flex,
+Build-Depends: debhelper-compat (= 13), cmake (>= 3.0), bison, flex,
  extra-cmake-modules (>= 5.14.0),
  qtbase5-dev (>= 5.5.0),
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt
