=== examples/cc/CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
     SET_SOURCE_FILES_PROPERTIES(
         ${CMAKE_CURRENT_SOURCE_DIR}/cclexer.cpp
         PROPERTIES
-            GENERATED TUE
+            GENERATED TRUE
             SKIP_AUTOMOC ON
         )
 ELSE(FLEX_EXECUTABLE)
