=== debian/changelog ===
kdevelop-pg-qt (2.2.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:59:36 +1100

kdevelop-pg-qt (2.2.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:52:52 +0000

kdevelop-pg-qt (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Add a minimal debian/upstream/metadata file.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Jan 2023 00:24:39 +0100
