=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kdevelop-pg-qt
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.0), bison, flex,
  extra-cmake-modules (>= 5.14.0),
  qtbase5-dev (>= 5.5.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://techbase.kde.org/Development/KDevelop-PG-Qt_Introduction
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kdevelop-pg-qt.git
